Bug 908246 - messages regarding permissions at manage-domains should be more clear
messages regarding permissions at manage-domains should be more clear
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Ravi Nori
Ilanit Stein
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-06 03:59 EST by Yair Zaslavsky
Modified: 2016-02-10 14:32 EST (History)
9 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11992 None None None Never

  None (edit)
Description Yair Zaslavsky 2013-02-06 03:59:12 EST
Description of problem:

Two use cases:
1. User adds a domain with no "-addPermissions" -

The message he gets is:

"The domain example.com has been added to the engine as an authentication source but no users from that domain have been granted permissions within the oVirt Manager.
Users from this domain can be granted permissions from the Web administration interface."

I suggest to elaborate here and add it is possible to edit the domain and addPermissions (with action=edit and -addPermissions")


2. User adds a domain with "-addPermissions"
After that , let's say the user needs to change password, he uses action=edit, but without addPermissiosn (as they were already added) .

The user gets the same message from above, but this is incorrect, as there is a user from the domain with associated permissions.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Ilanit Stein 2013-03-21 07:15:10 EDT
Verified on sf-10:

case 1)
[root@istein-32 ~]# rhevm-manage-domains  -action=add -domain=qa.lab.tlv.redhat.com -user=vdcadmin  -interactive -provider=activeDirectory
Enter password:

The domain qa.lab.tlv.redhat.com has been added to the engine as an authentication source but no users from that domain have been granted permissions within the oVirt Manager.
Users from this domain can be granted permissions from the Web administration interface or by editing the domain using -action=edit and specifying -addPermissions.
oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully

[root@istein-32 ~]# service ovirt-engine restart
Stopping engine-service:                                    [  OK  ]
Starting engine-service:                                    [  OK  ]

[root@istein-32 ~]# rhevm-manage-domains  -action=edit -domain=qa.lab.tlv.redhat.com -user=vdcadmin  -interactive -provider=activeDirectory  -addPermissions 
Enter password:

Successfully added domain qa.lab.tlv.redhat.com. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully

case 2)
[root@istein-32 ~]# rhevm-manage-domains  -action=add -domain=qa.lab.tlv.redhat.com -user=vdcadmin  -interactive -provider=activeDirectory -addPermissions
Enter password:
Successfully added domain qa.lab.tlv.redhat.com. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully
[root@istein-32 ~]# service ovirt-engine restart
Stopping engine-service:                                    [  OK  ]
Starting engine-service:                                    [  OK  ]
[root@istein-32 ~]# rhevm-manage-domains  -action=edit -domain=qa.lab.tlv.redhat.com -user=vdcadmin  -interactive -provider=activeDirectory  

Enter password:

oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully
Comment 3 Itamar Heim 2013-06-11 05:28:12 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 05:31:39 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:47:28 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.